config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: { sessions: 'users/sessions' }

  namespace :admin do
    get '/', to: 'reports#index'
    resources :users
    resources :properties
    resources :reports
    resources :bids, only: [:index, :edit, :update, :destroy]
  end

  root 'home#index'
  get 'about' => 'home#about'
  get 'contact' => 'home#contact'
  get 'price' => 'home#price'
  get 'order' => 'home#order'
  post 'orders' => 'home#create_order'

end

app/models/property.rb
class Property < ActiveRecord::Base
  validates :name, :code, :parent, presence: true
end

app/controllers/admin/properties_controller.rb
class Admin::PropertiesController < Admin::AdminController
  before_action :set_property, only: [:show, :edit, :update, :destroy]

  def index
    @properties = Property.all
  end

  def show
  end

  def new
    @property = Property.new
  end

  def edit
  end

  def update
    respond_to do |format|
      if @property.update(property_params)
        format.html { redirect_to admin_properties_path, notice: 'Master Data berhasil diubah' }
        format.json { render :show, status: :ok, location: @property }
      else
        format.html { render :edit }
        format.json { render json: @property.errors, status: :unprocessable_entity }
      end
    end
  end

  def destroy
    @property.destroy
    respond_to do |format|
      format.html { redirect_to admin_properties_path, notice: 'Master Data berhasil dihapus' }
      format.json { head :no_content }
    end
  end

  def create
    @property = Property.new(property_params)
    respond_to do |format|
      if @property.save
        format.html { redirect_to admin_properties_path, notice: 'Master Data berhasil dibuat' }
        format.json { render :show, status: :created, location: @property }
      else
        format.html { render :new }
        format.json { render json: @property.errors, status: :unprocessable_entity }
      end
    end
  end

  private
    def set_property
      @property = Property.find(params[:id])
    end

    def property_params
      params.require(:property).permit(:name, :desc, :parent, :code, :price_per_kg)
    end

end

app/views/admin/properties/_form.html.erb
<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="page-title">
            <span class="title">Master Data</span>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <div class="card">
                    <div class="card-body">
                      <%= form_for [:admin, @property] do |form| %>
                      <% if @property.errors.any? %>
                        <div class="alert fresh-color alert-danger" role="alert">
                          <ul>
                            <% @property.errors.full_messages.each do |message| %>
                            <li>
                              <strong><%= message %></strong>
                            </li>
                            <% end %>
                          </ul>
                        </div>
                        <% end %>
                        <div class="sub-title">Tipe Daging</div>
                        <div>
                          <div class="radio3 radio-check radio-inline">
                            <%= form.radio_button(:parent, "daging", id: 'radio2', checked: true ) %>
                            <%= form.label(:daging, "Daging", for: "radio2") %>
                          </div>
                          <div class="radio3 radio-check radio-inline">
                            <%= form.radio_button(:parent, "tulang", id: 'radio3') %>
                            <%= form.label(:tulang, "tulang", for: "radio3") %>
                          </div>
                        </div>
                        <div for="name" class="sub-title">Nama</div>
                        <div>
                            <%= form.text_field :name, class: 'form-control', placeholder: 'nama', for: "name"  %>
                        </div>
                        <div class="sub-title">Kode</div>
                        <div>
                            <%= form.text_field :code, class: 'form-control', placeholder: 'kode'  %>
                        </div>
                        <div for="name" class="sub-title">Harga per-Kg</div>
                        <div>
                            <%= form.number_field :price_per_kg, min: 0, class: 'form-control', placeholder: 'Harga per-kg', for: "price_per_kg"  %>
                        </div>
                        <div class="sub-title">Keterangan</div>
                        <div>
                            <%= form.text_area :desc, class: 'form-control'  %>
                        </div>
                        <%= link_to 'Back', admin_properties_path, class: "btn btn-sm btn-default" %>
                        <button type="submit" class="btn btn-sm btn-info">Submit</button>
                      <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>

app/views/admin/properties/edit.html.erb
<%= render 'form' %>

app/views/admin/properties/index.html.erb
<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="row">
            <div class="col-xs-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                        <div class="title">Master Data</div>
                        </div>
                        <div class="pull-right card-action">
                          <%= button_to "Buat Master Data", new_admin_property_path, class: 'btn btn-info', method: 'get' %>
                        </div>
                    </div>
                    <div class="card-body">
                      <% if notice %>
                        <div class="alert alert-success" role="alert">
                          <strong><%= notice %></strong></a>
                        </div>
                      <% end %>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th bgcolor="#9adbf9" width="5%">No</th>
                                    <th bgcolor="#9adbf9">Nama</th>
                                    <th bgcolor="#9adbf9">Kode</th>
                                    <th bgcolor="#9adbf9">Tipe</th>
                                    <th bgcolor="#9adbf9">Harga per-Kg</th>
                                    <th width="10%" bgcolor="#9adbf9" colspan="2"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <% @properties.each_with_index do |property, index|%>
                                  <tr>
                                      <th scope="row"><%= index + 1 %></th>
                                      <td><%= property.name %></td>
                                      <td><%= property.code %></td>
                                      <td><%= property.parent %></td>
                                      <td><%= property.price_per_kg %></td>
                                      <td><%= link_to 'Edit', edit_admin_property_path(property), class: "btn btn-sm btn-warning" %></td>
                                      <td><%= link_to 'Hapus', admin_property_path(property), method: :delete, data: { confirm: 'Apakah anda yakin ?' }, class: "btn btn-sm btn-danger" %></td>
                                  </tr>
                                <% end %>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

app/views/admin/properties/new.html.erb
<%= render 'form' %>